Mailinglist Archive: opensuse-updates (74 mails)

< Previous Next >
openSUSE-SU-2013:1412-1: moderate: mariadb
openSUSE Security Update: mariadb
______________________________________________________________________________

Announcement ID: openSUSE-SU-2013:1412-1
Rating: moderate
References: #768832
Cross-References: CVE-2012-5611
Affected Products:
openSUSE 11.4
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This version upgrade of mariadb fixed the following issues:

- making mysqldump work with MySQL 5.0 (bnc#768832)
- fix possible buffer overflow that can cause a server
crash or arbitrary code execution (a variant of
CVE-2012-5611)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.4:

zypper in -t patch 2013-131

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.4 (i586 x86_64):

libmariadbclient16-5.1.67-46.1
libmariadbclient16-debuginfo-5.1.67-46.1
libmariadbclient_r16-5.1.67-46.1
libmariadbclient_r16-debuginfo-5.1.67-46.1
mariadb-5.1.67-46.1
mariadb-bench-5.1.67-46.1
mariadb-bench-debuginfo-5.1.67-46.1
mariadb-client-5.1.67-46.1
mariadb-client-debuginfo-5.1.67-46.1
mariadb-debug-5.1.67-46.1
mariadb-debug-debuginfo-5.1.67-46.1
mariadb-debuginfo-5.1.67-46.1
mariadb-debugsource-5.1.67-46.1
mariadb-test-5.1.67-46.1
mariadb-test-debuginfo-5.1.67-46.1
mariadb-tools-5.1.67-46.1
mariadb-tools-debuginfo-5.1.67-46.1


References:

http://support.novell.com/security/cve/CVE-2012-5611.html
https://bugzilla.novell.com/768832


< Previous Next >
This Thread
  • No further messages